from Globals import InitializeClass

import types

from Products.Archetypes.Widget import TypesWidget
from Products.Archetypes.Registry import registerWidget,registerPropertyType
from AccessControl import ClassSecurityInfo
from types import StringType
from Products.Archetypes.utils import shasattr

class GroupSelectWidget(TypesWidget):
    _properties = TypesWidget._properties.copy()
    _properties.update({
        'macro' : "groupselect",
        'helper_js': ('groupselect.js',),
	'size': 8,
	'fieldType':'id', # ['id']
	'close_window':-1,
        })

    security = ClassSecurityInfo()    

    security.declarePublic('process_form')
    def process_form(self, instance, field, form, empty_marker=None, emptyReturnsMarker=None,):
    
        value, kwargs = TypesWidget.process_form (self, instance, field, form, empty_marker, emptyReturnsMarker, )

	# Remove the empty items
	if type(value) is types.ListType:
	    value = [item for item in value if item]

        return value, kwargs    
            

registerWidget(GroupSelectWidget,
               title='Group Select',
               description=('You can select portal groups searched from a popup window.'),
               used_for=('Products.Archetypes.Field.LinesField',
	                 'Products.Archetypes.Field.StringField', )
               )
