// function to open the popup window
function groupselect_openBrowser(portal_url, fieldId, fieldType, multiVal, close_window)
{
    if (-1 == close_window)
        close_window = 1 - multiVal
    window.open(portal_url + '/groupselect_popup?fieldId=' + fieldId + '&fieldType=' + fieldType + '&multiVal:int=' + multiVal + '&close_window:int='+close_window, 'groupselect_popup','dependent=yes,toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=750,height=550');
}

// function to return a reference from the popup window back into the widget
function groupselect_setGroup(fieldId, fieldType, groupid, label, multiVal)
{
    // differentiate between the single and mulitselect widget
    // since the single widget has an extra label field.
  pos = label.indexOf(' ')
  email = label.slice(0, pos)
  groupname = label.slice(pos + 1)
  if (fieldType == 'id') {
    if (groupname) {
      label = groupid+' ('+groupname+')'
    } else {
      label = groupid+' ('+groupid+')'
    }  
    if (multiVal==0) {
        element=document.getElementById(fieldId)
        label_element=document.getElementById(fieldId + '_label')
        element.value=groupid
        label_element.value=label
     }  else {
         list=document.getElementById(fieldId)
         // check if the item isn't already in the list
          for (var x=0; x < list.length; x++) {
            if (list[x].value == groupid) {
              return false;
            }
          }         
          // now add the new item
          theLength=list.length;
          list[theLength] = new Option(label);
          list[theLength].selected='selected';
          list[theLength].value=groupid
     }
   }
}

// function to clear the reference field or remove items
// from the multivalued reference list.
function groupselect_removeGroup(widget_id, multi)
{
    if (multi) {
        list=document.getElementById(widget_id)
        for (var x=list.length-1; x >= 0; x--) {
          if (list[x].selected) {
            list[x]=null;
          }
        }
        for (var x=0; x < list.length; x++) {
            list[x].selected='selected';
          }        
    } else {
        element=document.getElementById(widget_id);
        label_element=document.getElementById(widget_id + '_label');
        label_element.value = "";
        element.value="";
    }
}

